//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.03.10 at 12:34:04 PM CET 
//


package nl.naturalis.geneious.oaipmh.jaxb;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="specimen" type="{http://data.naturalis.nl/geneious}Specimen"/>
 *         &lt;element name="dnaExtractPlate" type="{http://data.naturalis.nl/geneious}DnaExtractPlate"/>
 *         &lt;element name="dnaExtract" type="{http://data.naturalis.nl/geneious}DnaExtract"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "specimen",
    "dnaExtractPlate",
    "dnaExtract"
})
@XmlRootElement(name = "geneious")
public class Geneious {

    protected Specimen specimen;
    protected DnaExtractPlate dnaExtractPlate;
    protected DnaExtract dnaExtract;

    /**
     * Gets the value of the specimen property.
     * 
     * @return
     *     possible object is
     *     {@link Specimen }
     *     
     */
    public Specimen getSpecimen() {
        return specimen;
    }

    /**
     * Sets the value of the specimen property.
     * 
     * @param value
     *     allowed object is
     *     {@link Specimen }
     *     
     */
    public void setSpecimen(Specimen value) {
        this.specimen = value;
    }

    /**
     * Gets the value of the dnaExtractPlate property.
     * 
     * @return
     *     possible object is
     *     {@link DnaExtractPlate }
     *     
     */
    public DnaExtractPlate getDnaExtractPlate() {
        return dnaExtractPlate;
    }

    /**
     * Sets the value of the dnaExtractPlate property.
     * 
     * @param value
     *     allowed object is
     *     {@link DnaExtractPlate }
     *     
     */
    public void setDnaExtractPlate(DnaExtractPlate value) {
        this.dnaExtractPlate = value;
    }

    /**
     * Gets the value of the dnaExtract property.
     * 
     * @return
     *     possible object is
     *     {@link DnaExtract }
     *     
     */
    public DnaExtract getDnaExtract() {
        return dnaExtract;
    }

    /**
     * Sets the value of the dnaExtract property.
     * 
     * @param value
     *     allowed object is
     *     {@link DnaExtract }
     *     
     */
    public void setDnaExtract(DnaExtract value) {
        this.dnaExtract = value;
    }

}
